Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class PlainPage

    java.lang.Object
      |
      +--weblogic.html.WebPage
            |
            +--weblogic.html.PlainPage

public class PlainPage
extends WebPage

A PlainPage object is used to create a document without HTML tagging. A PlainPage is analogous to using the "text/plain" header.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WebPage`

Fields inherited from class weblogic.html.WebPage
`allow, codeset, contentbuf, contentencoding, contentlength, contents, contenttype, expires, lastmodified, location, pragma, referer, server`

Constructor Summary
`PlainPage()` Deprecated. Constructs a PlainPage object.
`PlainPage(java.lang.String str)` Deprecated. Constructs a PlainPage with the specified string.

Method Summary
`void` | `append(java.lang.String str)` Deprecated. Appends a string at the end of a PlainPage.
`void` | `prepend(java.lang.String str)` Deprecated. Appends a string at the beginning of a PlainPage.

Methods inherited from class weblogic.html.WebPage
`allow, allow, contentBuf, contentBuf, contentEncoding, contentEncoding, contentLength, contentLength, contents, contents, contentType, contentType, expires, expires, includeHeader, lastModified, lastModified, location, location, output, output, output, output, pragma, pragma, referer, referer, server, server, setClientPull, setClientPull, setCodeset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainPage

    public PlainPage()

  Deprecated.
  Constructs a PlainPage object.

### PlainPage

    public PlainPage(java.lang.String str)

  Deprecated.
  Constructs a PlainPage with the specified string.

  Note that the Content-type header is set to "text/plain" automatically when a PlainPage is created. Other headers can be added with methods from the superclass WebPage.

  Parameters:
    `str` - Text to add to page
  See Also:
    `WebPage`

Method Detail

### append

    public void append(java.lang.String str)

  Deprecated.
  Appends a string at the end of a PlainPage.

  Parameters:
    `str` - Text

### prepend

    public void prepend(java.lang.String str)

  Deprecated.
  Appends a string at the beginning of a PlainPage.

  Parameters:
    `str` - Text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD